package com.caimei365.manager.entity.caimei.svip;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/4/11
 */
@Data
public class CmVipCoupon {
    private String id;
    /** 生效月份 */
    private String useTime;
    private String endTime;
    /**
     * 0未生效 1已生效 2已关闭 3已失效
     */
    private String status;
    /** 一组优惠券id的String字符串，逗号隔开 */
    private String bindCoupon;
    private Date updateTime;
    private String delFlag;
    /**
     * 4张优惠券详情
     */
    List<CmCoupon> couponList;
    /** 开始时间 */
    private String startDate;
    /** 结束时间 */
    private String endDate;
    /** 优惠券类型 */
    private String couponType;
}
